# `ipywidgets`

## Traits

> Extra `traitlets` for custom effects

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.trait_types
    :members:
    :special-members:
```

## Widget Base Classes

> Key base classes for Widgets

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.widget
    :members:
    :special-members:
```

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.valuewidget
    :members:
    :special-members:
```

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.domwidget
    :members:
    :special-members:
```

## Interactive

> Opinions for auto-generating Widget user experiences

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.interaction
    :members:
    :special-members:
```

## Core Widgets

> The core Widgets

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.widget_bool
    :members:
    :special-members:
```

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.widget_box
    :members:
    :special-members:
```

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.widget_button
    :members:
    :special-members:
```

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.widget_color
    :members:
    :special-members:
```

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.widget_controller
    :members:
    :special-members:
```

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.widget_core
    :members:
    :special-members:
```

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.widget_date
    :members:
    :special-members:
```

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.widget_datetime
    :members:
    :special-members:
```

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.widget_description
    :members:
    :special-members:
```

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.widget_float
    :members:
    :special-members:
```

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.widget_int
    :members:
    :special-members:
```

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.widget_layout
    :members:
    :special-members:
```

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.widget_link
    :members:
    :special-members:
```

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.widget_media
    :members:
    :special-members:
```

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.widget_output
    :members:
    :special-members:
```

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.widget_selection
    :members:
    :special-members:
```

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.widget_selectioncontainer
    :members:
    :special-members:
```

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.widget_string
    :members:
    :special-members:
```

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.widget_style
    :members:
    :special-members:
```

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.widget_tagsinput
    :members:
    :special-members:
```

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.widget_templates
    :members:
    :special-members:
```

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.widget_time
    :members:
    :special-members:
```

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.widget_upload
    :members:
    :special-members:
```

## Utilities

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.docutils
    :members:
    :special-members:
```

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets.widgets.utils
    :members:
    :special-members:
```

## Top-level exports

> These are seldom needed by users or widget authors

```{eval-rst}
.. currentmodule:: ipywidgets
.. automodule:: ipywidgets
    :members:
    :special-members:
```
